Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Having trouble adding Personas to Fire Fox. It said I need to upgrade and I have the lastest .

  • 1 reply
  • 9 have this problem
  • 1 view
  • Last reply by Xircal

more options

When I I try to add persona it said I need Firefox 4.0 and I have 4.0. So what is wrong.

All Replies (1)

more options

You appear to be running a very old version of Firefox. The latest version in the 3x series is v3.6.16. You can update via Help | Check For Updates

Repeat the same steps if you don't get 3.6.16 immediately.

After you update, go to the Plugins Check page because a few of those are very old too and potentially exposes your system to attack.